Skip to content

List mailboxes

Request

Retrieve all email mailboxes (SMTP/IMAP, Gmail, Outlook) configured in your account.

Security
bearerAuth
Query
limitinteger, (int32)

Items per page (default 20).

Default:20
Example:limit=20
offsetinteger, (int32)

Items to skip (default 0).

Default:0
Example:offset=0
order_fieldstring

Sort field (default created_at).

Default:"created_at"
Example:order_field=created_at
order_typestring

Sort direction.

Default:"asc"
Enum:"asc""desc"
Example:order_type=asc
filterobject
GET
/emails/api/mailboxes
curl -i -X GET \
  'https://leadgen.grinfi.io/emails/api/mailboxes?limit=20&offset=0&order_field=created_at&order_type=asc&filter=q%3Dstring' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

List of mailboxes.

Bodyapplication/json
dataArray of objects(mailbox)
limitinteger
offsetinteger
totalinteger
Response
{ "data": [ {} ], "limit": 0, "offset": 0, "total": 0 }